org.gjt.sp.jedit.indent

## Class IndentRuleFactory

- java.lang.Object
- - org.gjt.sp.jedit.indent.IndentRuleFactory

    public class IndentRuleFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IndentRuleFactory()`

### Method Summary

Methods
`static IndentRule` `indentCloseBracket(char bracket)`
`static IndentRule` `indentNextLine(java.lang.String regexp)`
`static IndentRule` `indentNextLines(java.lang.String regexp)`
`static IndentRule` `indentOpenBracket(char bracket)`
`static IndentRule` `unalignedCloseBracket(char bracket)`
`static IndentRule` `unalignedOpenBracket(char bracket)`
`static IndentRule` `unindentNextLines(java.lang.String regexp)`
`static IndentRule` `unindentThisLine(java.lang.String regexp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndentRuleFactory

    public IndentRuleFactory()

### Method Detail

#### indentNextLines

    public static IndentRule indentNextLines(java.lang.String regexp)
                                      throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### indentNextLine

    public static IndentRule indentNextLine(java.lang.String regexp)
                                     throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### unindentThisLine

    public static IndentRule unindentThisLine(java.lang.String regexp)
                                       throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### unindentNextLines

    public static IndentRule unindentNextLines(java.lang.String regexp)
                                        throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### indentOpenBracket

    public static IndentRule indentOpenBracket(char bracket)
                                        throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### indentCloseBracket

    public static IndentRule indentCloseBracket(char bracket)
                                         throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### unalignedOpenBracket

    public static IndentRule unalignedOpenBracket(char bracket)
                                           throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`

#### unalignedCloseBracket

    public static IndentRule unalignedCloseBracket(char bracket)
                                            throws java.util.regex.PatternSyntaxException

Throws:
  `java.util.regex.PatternSyntaxException`